# oneview_ethernet_network – Manage OneView Ethernet Network resources

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Provides an interface to manage Ethernet Network resources. Can create, update, or delete.

## Requirements

The below requirements are needed on the host that executes this module.

- hpOneView >= 3.1.0

- python >= 2.7.9

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

config
path

Path to a .json configuration file containing the OneView client configuration. The configuration file is optional and when used should be present in the host running the ansible commands. If the file path is not provided, the configuration will be loaded from environment variables. For links to example configuration files or how to use the environment variables verify the notes section.

data - / required |  | List with Ethernet Network properties.

state
-

Choices:
- present ←
- absent
- default_bandwidth_reset

Indicates the desired state for the Ethernet Network resource. - `present` will ensure data properties are compliant with OneView. - `absent` will remove the resource from OneView, if it exists. - `default_bandwidth_reset` will reset the network connection template to the default.

validate_etag
boolean

Choices:
- no
- yes ←

When the ETag Validation is enabled, the request will be conditionally processed only if the current ETag for the resource matches the ETag provided in the data.

## Notes

Note

- A sample configuration file for the config parameter can be found at: https://github.com/HewlettPackard/oneview-ansible/blob/master/examples/oneview_config-rename.json

- Check how to use environment variables for configuration at: https://github.com/HewlettPackard/oneview-ansible#environment-variables

- Additional Playbooks for the HPE OneView Ansible modules can be found at: https://github.com/HewlettPackard/oneview-ansible/tree/master/examples

- The OneView API version used will directly affect returned and expected fields in resources. Information on setting the desired API version and can be found at: https://github.com/HewlettPackard/oneview-ansible#setting-your-oneview-version

## Examples

    - name: Ensure that the Ethernet Network is present using the default configuration
      oneview_ethernet_network:
        config: '/etc/oneview/oneview_config.json'
        state: present
        data:
          name: 'Test Ethernet Network'
          vlanId: '201'
      delegate_to: localhost

    - name: Update the Ethernet Network changing bandwidth and purpose
      oneview_ethernet_network:
        config: '/etc/oneview/oneview_config.json'
        state: present
        data:
          name: 'Test Ethernet Network'
          purpose: Management
          bandwidth:
              maximumBandwidth: 3000
              typicalBandwidth: 2000
      delegate_to: localhost

    - name: Ensure that the Ethernet Network is present with name 'Renamed Ethernet Network'
      oneview_ethernet_network:
        config: '/etc/oneview/oneview_config.json'
        state: present
        data:
          name: 'Test Ethernet Network'
          newName: 'Renamed Ethernet Network'
      delegate_to: localhost

    - name: Ensure that the Ethernet Network is absent
      oneview_ethernet_network:
        config: '/etc/oneview/oneview_config.json'
        state: absent
        data:
          name: 'New Ethernet Network'
      delegate_to: localhost

    - name: Create Ethernet networks in bulk
      oneview_ethernet_network:
        config: '/etc/oneview/oneview_config.json'
        state: present
        data:
          vlanIdRange: '1-10,15,17'
          purpose: General
          namePrefix: TestNetwork
          smartLink: false
          privateNetwork: false
          bandwidth:
            maximumBandwidth: 10000
            typicalBandwidth: 2000
      delegate_to: localhost

    - name: Reset to the default network connection template
      oneview_ethernet_network:
        config: '/etc/oneview/oneview_config.json'
        state: default_bandwidth_reset
        data:
          name: 'Test Ethernet Network'
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
ethernet_network dictionary | On state 'present'. Can be null. | Has the facts about the Ethernet Networks.
ethernet_network_bulk dictionary | When 'vlanIdRange' attribute is in data argument. Can be null. | Has the facts about the Ethernet Networks affected by the bulk insert.
ethernet_network_connection_template dictionary | On state 'default_bandwidth_reset'. Can be null. | Has the facts about the Ethernet Network Connection Template.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Felipe Bulsoni (@fgbulsoni)

- Thiago Miotto (@tmiotto)

- Adriane Cardozo (@adriane-cardozo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.